# Gimp.ColorProfile.get_format

    @accepts(Gimp.ColorProfile, Babl.Object, Gimp.ColorRenderingIntent)
    @returns(Babl.Object)
    def get_format(self, format, intent):
        # Python wrapper for gimp_color_profile_get_format()

This function takes a Gimp.ColorProfile and a #Babl format and returns a new #Babl format with self's RGB primaries and TRC, and format's pixel layout.

Since 2.10

self

  a Gimp.ColorProfile

format

  a #Babl format

intent

  a Gimp.ColorRenderingIntent

Returns